-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function updateGFX(dt)
  if not obj then return end
  local pos = obj:getPosition()
  local dir = -obj:getDirectionVector()
  local rot = math.deg(obj:getDirection())
  local speed = (electrics.values.airspeed or 0)
  guihooks.trigger('NavigationVehicleUpdateOld', {
    px = pos.x,
    py = pos.y,
    dx = dir.x,
    dy = dir.y,
    rot = rot,
    speed = speed,
  })
end

-- public interface
M.updateGFX = updateGFX

return M
